﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.IO;

namespace Silverlightdata.Web
{
    /// <summary>
    /// Summary description for $codebehindclassname$
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    public class fileupload : IHttpHandler
    {

        public void ProcessRequest(HttpContext context)
        {
            //you have to be logged in to upload
            //this code isn't necessary if the whole site is protected
            //but you might want to check for specific users or groups
            if (HttpContext.Current.User == null)
            {
                return;
            }

            if (!(HttpContext.Current.User.Identity.Name == "admin"))
            {
                return;
            }

            HttpRequest request = context.Request;
            HttpResponse response = context.Response;
            HttpServerUtility server = context.Server;

            try
            {
                String fileName = context.Request.Params["filename"];

                if (!String.IsNullOrEmpty(fileName))
                {
                    using (Stream inputstream = request.InputStream)
                    {
                        string folder = Path.GetFullPath(Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "ClientBin" + System.IO.Path.DirectorySeparatorChar + "pix"));
                        // assume using pix folder for uploaded files.
                        if (!System.IO.Directory.Exists("ClientBin" + System.IO.Path.DirectorySeparatorChar + "pix"))
                        {
                            System.IO.Directory.CreateDirectory(folder);
                        }
                        using (FileStream fs = new FileStream(folder + System.IO.Path.DirectorySeparatorChar + fileName, FileMode.OpenOrCreate))
                        {
                            Byte[] fileContent = new Byte[inputstream.Length];
                            inputstream.Read(fileContent, 0, fileContent.Length);
                            fs.Write(fileContent, 0, fileContent.Length);
                            fs.Flush();
                        }

                    }

                    response.Clear();
                    HttpContext.Current.ApplicationInstance.CompleteRequest();
                }

            }
            catch (Exception exc)
            {
                utils.writeLog(exc.Message);
                throw exc;
            }
        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}
