﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.IO;

namespace Silverlightdata.Web
{
    public class utils
    {
        public static void writeLog(string theText)
        {
            StreamWriter sw;
            string thePath = Path.GetFullPath(Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "ClientBin" + System.IO.Path.DirectorySeparatorChar + "pix" + System.IO.Path.DirectorySeparatorChar + "log.txt"));

            try
            {
                sw = new StreamWriter(File.Open(thePath, FileMode.OpenOrCreate));
                try
                {
                    sw.BaseStream.Seek(0, SeekOrigin.End);
                    sw.WriteLine(theText + " " + DateTime.Now.ToShortDateString() + " " + DateTime.Now.ToShortTimeString());
                    sw.Flush();
                }
                finally
                {
                    sw.Close();
                }
            }
            catch (Exception Exc)
            {
                System.Diagnostics.Debug.WriteLine(Exc.Message);
            }
        }

    }
}
