﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;

namespace Silverlightdata.Web
{
    /// <summary>
    /// Summary description for photodb
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
    // [System.Web.Script.Services.ScriptService]
    public class photodb : System.Web.Services.WebService
    {

        [WebMethod]
        public List<photoitem> GetPhotoItems()
        {
            return datamanager.GetPhotoItems();
        }

        [WebMethod]
        public int SavePhotoItem(photoitem pi)
        {
            //returns ID of saved item
            if (datamanager.SavePhotoItem(pi) > -1)
            {
                return pi.ID;
            }
            else
            {
                return -1;
            }
        }




        [WebMethod]
        public bool DeletePhotoItem(int id)
        {
            return datamanager.DeletePhotoItem(id);
        }

    }
}
